Skip to main content
`Ctrl`+`K`

# find_all_wcs

astropy.wcs.find_all_wcs(header, relax=True, keysel=None, fix=True, translate_units='', _do_set=True)

  Find all the WCS transformations in the given header.

  Parameters:
    header `python:str` or `Header` object.
    relax bool or `python:int`, optional

      Degree of permissiveness:

      - `True` (default): Admit all recognized informal extensions of the WCS standard.

      - `False`: Recognize only FITS keywords defined by the published WCS standard.

      - `int`: a bit field selecting specific extensions to accept. See Header-reading relaxation constants for details.

    keysel python:sequence of `python:str`, optional

      A list of flags used to select the keyword types considered by wcslib. When `None`, only the standard image header keywords are considered (and the underlying wcspih() C function is called). To use binary table image array or pixel list keywords, keysel must be set.

      Each element in the list should be one of the following strings:

      > - ‘image’: Image header keywords

      > - ‘binary’: Binary table image array keywords

      > - ‘pixel’: Pixel list keywords

      Keywords such as `EQUIna` or `RFRQna` that are common to binary table image arrays and pixel lists (including `WCSNna` and `TWCSna`) are selected by both ‘binary’ and ‘pixel’.

    fix bool, optional

      When `True` (default), call `fix` on the resulting objects to fix any non-standard uses in the header. `FITSFixedWarning` warnings will be emitted if any changes were made.

    translate_units `python:str`, optional

      Specify which potentially unsafe translations of non-standard unit strings to perform. By default, performs none. See `WCS.fix` for more information about this parameter. Only effective when `fix` is `True`.

  Returns:
    wcses `python:list` of `WCS`